/* --------------------------------------------*\
| lingdemo.c (version 1.3)  (C) SichemSoft 1994 |
| Roghorst 160, 6708 KS Wageningen, Netherlands |
| example for language independent applications |
| author: Anneke Sicherer-Roetman, date: 940311 |
\* --------------------------------------------*/

#include <stdio.h>
#include <string.h>
#include "ui_text.h"

int main(int argc,char *argv[])
{
   char filename[81],version[81];

   if (argc>3) return 1;
   if (argc==3) strcpy(version,argv[2]); else version[0]='\0';
   if (argc>=2) strcpy(filename,argv[1]); else strcpy(filename,"english");

   if (ui_loadtext(filename,version)) {
      printf("%s",FIRST);
      printf("%s",SECOND);
      printf("%s",THIRD[0]);
      printf("%s",THIRD[1]);
      printf("%s",THIRD[2]);
      printf("%s",THIRD[3]);
      printf("%s",THIRD[4]);
      printf("%s",EIGHTH);
      printf("%s",NINTH);
      printf("%s",TENTH);
      printf("%s",ELEVEN);
      ui_unloadtext();
   } else puts("Fatal error");
   return 0;
}
